function h = WaldMeanCovUni(b, k,indx)

% Function handle for testing if given WTP has the same mean and
% correlation structure

% b = vector of parameters
% k = no. of variable
% indx = 1 if A == B, 2 if A == C, 3 if B == C, 4 if A == B == C

VC = tril(ones(18,18));
VC(VC == 1) = b(19:end);
COV = VC*VC'; 
D = diag(COV);
h = [];
if indx == 1
  %  h = b(k) - b(k+5);
    h = [h; COV(k,k+5) - sqrt(D(k)*D(k+5))];
elseif indx == 2
   % h = b(k) - b(k+10);
    h = [h; COV(k,k+10) - sqrt(D(k)*D(k+10))];
elseif indx == 3
    %h = b(k+5) - b(k+10);
    h = [h; COV(k+5,k+10) - sqrt(D(k+5)*D(k+10))];
elseif indx == 4
   % h = [b(k) - b(k+5); b(k+5) - b(k+10)];
    h = [h;COV(k,k+5) - sqrt(D(k)*D(k+5)); COV(k+5,k+10) - sqrt(D(k+5)*D(k+10))];
    
end
