function h = WaldStdMulti(b, indx)

% Function handle for testing if given WTP has the same mean and standard deviation 
% For all variables joitly

% b = vector of parameters
% indx = 1 if A == B, 2 if A == C, 3 if B == C, 4 if A == B == C

VC = tril(ones(18,18));
VC(VC == 1) = b(19:end);
COV = VC*VC'; 
D = diag(COV);
if indx == 1
    h = b(1:5) - b(6:10);
    h = [h; D(1:5) - D(6:10)];
elseif indx == 2
    h = b(1:5) - b(11:15);
    h = [h; D(1:5) - D(11:15)];
elseif indx == 3
    h = b(6:10) - b(11:15);
    h = [h; D(6:10) - D(11:15)];
elseif indx == 4
    h = [b(1:5) - b(6:10); b(6:10) - b(11:15)];
    h = [h; D(1:5) - D(6:10); D(6:10) - D(11:15)];
    
end

