function h = WaldStdXUni(b, k,indx)

% Function handle for testing if given WTP has the same standard deviations only 

% b = vector of parameters
% k = no. of variable
% indx = 1 if A == B, 2 if A == C, 3 if B == C, 4 if A == B == C

VC = tril(ones(18,18));
VC(VC == 1) = b(19:end);
COV = VC*VC'; 
D = diag(COV);
if indx == 1
    h = [D(k) - D(k+5)];
elseif indx == 2
    h = [D(k) - D(k+10)];
elseif indx == 3
    h = [D(k+5) - D(k+10)];
elseif indx == 4
    h = [D(k) - D(k+5); D(k+5) - D(k+10)];
    
end